/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebTreeGridDescription = /*@__PURE__*/ (() => {
    class WebTreeGridDescription extends WebGridBaseDirectiveDescription {
        constructor() {
            super();
            this.hj = null;
            this.hl = null;
            this.hm = null;
            this.hd = false;
            this.hn = null;
            this.ha = null;
            this.g9 = null;
            this.hk = null;
            this.hh = null;
            this.hf = 0;
            this.ho = null;
        }
        get_type() {
            return "WebTreeGrid";
        }
        get childDataKey() {
            return this.hj;
        }
        set childDataKey(a) {
            this.hj = a;
            this.e("ChildDataKey");
        }
        get foreignKey() {
            return this.hl;
        }
        set foreignKey(a) {
            this.hl = a;
            this.e("ForeignKey");
        }
        get hasChildrenKey() {
            return this.hm;
        }
        set hasChildrenKey(a) {
            this.hm = a;
            this.e("HasChildrenKey");
        }
        get cascadeOnDelete() {
            return this.hd;
        }
        set cascadeOnDelete(a) {
            this.hd = a;
            this.e("CascadeOnDelete");
        }
        get id() {
            return this.hn;
        }
        set id(a) {
            this.hn = a;
            this.e("Id");
        }
        get rootRecords() {
            return this.ha;
        }
        set rootRecords(a) {
            this.ha = a;
            this.e("RootRecords");
        }
        get processedRootRecords() {
            return this.g9;
        }
        set processedRootRecords(a) {
            this.g9 = a;
            this.e("ProcessedRootRecords");
        }
        get dataRef() {
            return this.hk;
        }
        set dataRef(a) {
            this.hk = a;
            this.e("DataRef");
        }
        get filteredData() {
            return this.hh;
        }
        set filteredData(a) {
            this.hh = a;
            this.e("FilteredData");
        }
        get expansionDepth() {
            return this.hf;
        }
        set expansionDepth(a) {
            this.hf = a;
            this.e("ExpansionDepth");
        }
        get rowLoadingIndicatorTemplateRef() {
            return this.ho;
        }
        set rowLoadingIndicatorTemplateRef(a) {
            this.ho = a;
            this.e("RowLoadingIndicatorTemplateRef");
        }
    }
    WebTreeGridDescription.$t = /*@__PURE__*/ markType(WebTreeGridDescription, 'WebTreeGridDescription', WebGridBaseDirectiveDescription.$);
    return WebTreeGridDescription;
})();
